Skip to main content
GET
/
campaigns
/
{id}
/
journeys
List campaign journeys
curl --request GET \
  --url https://api.pamhq.com/v1/campaigns/{id}/journeys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "campaign_id": "<string>",
      "status": "<string>",
      "outcome": "<string>",
      "contact": {
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "vin": "<string>",
        "vehicle_make": "<string>",
        "vehicle_model": "<string>",
        "vehicle_year": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "request_id": "<string>",
    "pagination": {
      "cursor": "<string>",
      "has_more": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:pk_live_your_api_key
required

API key provided as Authorization: Bearer <key>.

Path Parameters

id
string
required

Campaign ID.

Query Parameters

status
enum<string>
Available options:
active,
completed,
cancelled,
paused
outcome
enum<string>
Available options:
scheduled,
lead,
not_interested,
no_engagement
limit
integer
default:20

Maximum number of records to return.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from the previous response.

Response

Journeys returned

data
object[]
meta
object